Bug 169019 - rpmbuild -bb --kernel= cannot be done
rpmbuild -bb --kernel= cannot be done
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Darko Ilic
Darko Ilic
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 04:42 EDT by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 07:26:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2005-09-22 04:42:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
When building .rpms for a kadischi repository inclusion, one cannot choose the kernel to compile against. rpmbuild -bb --kernel= doesn't exist.
Rebooting into the same kernel that is in the kadischi repository is not very plausible.

Version-Release number of selected component (if applicable):
Kadischi cvs (Sep 05 2005)

How reproducible:
Always

Steps to Reproduce:
1.man rpmbuild
2.Notice there is no --kern= option
3.Leave tha manual page
  

Actual Results:  Noticed I couldn't build for kadischi, without using the same kernel as is in my kadischi repository.

Expected Results:  Some kind of workaround at least.
Such as rpmbuild --target=i686 --kernel=2.6.11-1.1369_FC4 -bb foo.spec

Additional info:
Comment 1 Jasper O. Hartline 2005-11-02 20:12:48 EST
This actually belongs in Core -> rpm -> devel
Running a different kernel than you are building for is a good example however
of why this should be looked into, and possibly migrated into rpmbuild.
Comment 2 Jeff Johnson 2005-11-04 07:26:59 EST
Yes, there is no --kernel option in rpmbuild.

Choosing the kernel to compile against is determined by how you set up your build system.

Add a build dependency to your spec file if you wish to specify a specific kernel to build against.

Note You need to log in before you can comment on or make changes to this bug.